Package org.apache.synapse.mediators.bsf

## Class NashornJavaScriptMessageContext

- java.lang.Object
- - org.apache.synapse.mediators.bsf.NashornJavaScriptMessageContext

- All Implemented Interfaces:
    `ScriptMessageContext`, `org.apache.synapse.MessageContext`

      @Deprecated
      public class NashornJavaScriptMessageContext
      extends Object
      implements ScriptMessageContext

  Deprecated.
  NashornJavaScriptMessageContext implements the ScriptMessageContext specific to Nashorn java script engine.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NashornJavaScriptMessageContext​(org.apache.synapse.MessageContext mc, org.apache.bsf.xml.XMLHelper xmlHelper, ScriptEngine engine)` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addHeader​(boolean mustUnderstand, Object content)` | Deprecated. Add a new SOAP header to the message.
    `org.apache.synapse.config.SynapseConfiguration` | `getConfiguration()` | Deprecated.
    `Map<String,​Object>` | `getContextEntries()` | Deprecated.
    `Stack<org.apache.synapse.ContinuationState>` | `getContinuationStateStack()` | Deprecated.
    `org.apache.synapse.Mediator` | `getDefaultConfiguration​(String arg0)` | Deprecated.
    `org.apache.synapse.endpoints.Endpoint` | `getEndpoint​(String key)` | Deprecated.
    `Object` | `getEntry​(String key)` | Deprecated.
    `org.apache.axiom.soap.SOAPEnvelope` | `getEnvelope()` | Deprecated.
    `Object` | `getEnvelopeXML()` | Deprecated. Get the XML representation of the complete SOAP envelope.
    `org.apache.synapse.core.SynapseEnvironment` | `getEnvironment()` | Deprecated.
    `org.apache.synapse.Mediator` | `getFaultSequence()` | Deprecated.
    `Stack<org.apache.synapse.FaultHandler>` | `getFaultStack()` | Deprecated.
    `org.apache.axis2.addressing.EndpointReference` | `getFaultTo()` | Deprecated.
    `org.apache.axiom.om.OMElement` | `getFormat​(String s)` | Deprecated.
    `org.apache.axis2.addressing.EndpointReference` | `getFrom()` | Deprecated.
    `Object` | `getJsonText()` | Deprecated. Get the Message Payload as a text.
    `Object` | `getLocalEntry​(String key)` | Deprecated.
    `org.apache.synapse.Mediator` | `getMainSequence()` | Deprecated.
    `int` | `getMessageFlowTracingState()` | Deprecated.
    `String` | `getMessageID()` | Deprecated.
    `String` | `getMessageString()` | Deprecated.
    `org.apache.axiom.om.OMElement` | `getParsedOMElement​(InputStream stream)` | Deprecated. Returns the parsed xml document.
    `Object` | `getPayloadJSON()` | Deprecated. Get the JSON object representation of the JSON message body of the request.
    `String` | `getPayloadText()` | Deprecated. Get the Message Payload as a text.
    `Object` | `getPayloadXML()` | Deprecated. Get the XML representation of SOAP Body payload.
    `Object` | `getProperty​(String key)` | Deprecated.
    `Set` | `getPropertyKeySet()` | Deprecated.
    `org.apache.axis2.addressing.RelatesTo` | `getRelatesTo()` | Deprecated.
    `org.apache.axis2.addressing.EndpointReference` | `getReplyTo()` | Deprecated.
    `org.apache.synapse.Mediator` | `getSequence​(String key)` | Deprecated.
    `org.apache.synapse.Mediator` | `getSequenceTemplate​(String key)` | Deprecated.
    `org.apache.commons.logging.Log` | `getServiceLog()` | Deprecated.
    `String` | `getSoapAction()` | Deprecated.
    `org.apache.axis2.addressing.EndpointReference` | `getTo()` | Deprecated.
    `int` | `getTracingState()` | Deprecated.
    `Object` | `getVariable​(String key)` | Deprecated.
    `Set` | `getVariableKeySet()` | Deprecated.
    `String` | `getWSAAction()` | Deprecated.
    `String` | `getWSAMessageID()` | Deprecated.
    `org.apache.axiom.om.xpath.AXIOMXPath` | `getXpathResult​(String expression)` | Deprecated. Returns the Axiom xpath.
    `boolean` | `isContinuationEnabled()` | Deprecated.
    `boolean` | `isDoingGET()` | Deprecated.
    `boolean` | `isDoingMTOM()` | Deprecated.
    `boolean` | `isDoingPOX()` | Deprecated.
    `boolean` | `isDoingSWA()` | Deprecated.
    `boolean` | `isFaultResponse()` | Deprecated.
    `boolean` | `isResponse()` | Deprecated.
    `boolean` | `isSOAP11()` | Deprecated.
    `Object` | `jsonObject​(org.apache.synapse.MessageContext messageContext)` | Deprecated. Returns the JavaScript Object saved in this message context.
    `Object` | `jsonSerializerCallMember​(String key, String value)` | Deprecated. Call the JSON Serializer call member method of ScriptMirrorObject
    `Document` | `parseXml​(String text)` | Deprecated. Returns the parsed xml document.
    `void` | `pushContinuationState​(org.apache.synapse.ContinuationState continuationState)` | Deprecated.
    `void` | `pushFaultHandler​(org.apache.synapse.FaultHandler fault)` | Deprecated.
    `void` | `removeProperty​(String key, String scope)` | Deprecated. Remove property from the message.
    `void` | `restoreContinuationStateStack​(Stack<org.apache.synapse.ContinuationState> continuationStateStack)` | Deprecated.
    `void` | `setConfiguration​(org.apache.synapse.config.SynapseConfiguration cfg)` | Deprecated.
    `void` | `setContextEntries​(Map<String,​Object> entries)` | Deprecated.
    `void` | `setContinuationEnabled​(boolean contStateStackEnabled)` | Deprecated.
    `void` | `setDoingGET​(boolean b)` | Deprecated.
    `void` | `setDoingMTOM​(boolean b)` | Deprecated.
    `void` | `setDoingPOX​(boolean b)` | Deprecated.
    `void` | `setDoingSWA​(boolean b)` | Deprecated.
    `void` | `setEnvelope​(org.apache.axiom.soap.SOAPEnvelope envelope)` | Deprecated.
    `void` | `setEnvironment​(org.apache.synapse.core.SynapseEnvironment se)` | Deprecated.
    `void` | `setFaultResponse​(boolean b)` | Deprecated.
    `void` | `setFaultTo​(String reference)` | Deprecated. This is used to set the value which specifies the receiver of the faults relating to the message.
    `void` | `setFaultTo​(org.apache.axis2.addressing.EndpointReference reference)` | Deprecated.
    `void` | `setFrom​(String reference)` | Deprecated. This is used to set the value which specifies the sender of the message.
    `void` | `setFrom​(org.apache.axis2.addressing.EndpointReference reference)` | Deprecated.
    `boolean` | `setJsonObject​(org.apache.synapse.MessageContext messageContext, Object jsonObject)` | Deprecated. Saves the JavaScript Object to the message context.
    `boolean` | `setJsonText​(org.apache.synapse.MessageContext messageContext, Object jsonObject)` | Deprecated. Saves the JSON String to the message context.
    `void` | `setMessageFlowTracingState​(int state)` | Deprecated.
    `void` | `setMessageID​(String string)` | Deprecated.
    `void` | `setPayloadJSON​(Object jsonPayload)` | Deprecated. Saves the payload of this message context as a JSON payload.
    `void` | `setPayloadXML​(Object payload)` | Deprecated. Set the SOAP body payload from XML.
    `void` | `setProperty​(String key, Object value)` | Deprecated. Add a new property to the message.
    `void` | `setProperty​(String key, Object value, String scope)` | Deprecated. Add a new property to the message.
    `void` | `setRelatesTo​(org.apache.axis2.addressing.RelatesTo[] reference)` | Deprecated.
    `void` | `setReplyTo​(String reference)` | Deprecated. This is used to set the value which specifies the receiver of the replies to the message.
    `void` | `setReplyTo​(org.apache.axis2.addressing.EndpointReference reference)` | Deprecated.
    `void` | `setResponse​(boolean b)` | Deprecated.
    `void` | `setScriptEngine​(ScriptEngine scriptEngine)` | Deprecated. Set a script engine.
    `void` | `setSoapAction​(String string)` | Deprecated.
    `void` | `setTo​(String reference)` | Deprecated. This is used to set the value which specifies the receiver of the message.
    `void` | `setTo​(org.apache.axis2.addressing.EndpointReference reference)` | Deprecated.
    `void` | `setTracingState​(int tracingState)` | Deprecated.
    `void` | `setVariable​(String key, Object value)` | Deprecated.
    `void` | `setWSAAction​(String actionURI)` | Deprecated.
    `void` | `setWSAMessageID​(String messageID)` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NashornJavaScriptMessageContext

          public NashornJavaScriptMessageContext​(org.apache.synapse.MessageContext mc,
                                                 org.apache.bsf.xml.XMLHelper xmlHelper,
                                                 ScriptEngine engine)
                                          throws ScriptException

      Deprecated.
      Throws:
        `ScriptException`

  - ### Method Detail

    - #### jsonSerializerCallMember

          public Object jsonSerializerCallMember​(String key,
                                                 String value)

      Deprecated.
      Call the JSON Serializer call member method of ScriptMirrorObject

    - #### getPayloadXML

          public Object getPayloadXML()

      Deprecated.
      Get the XML representation of SOAP Body payload. The payload is the first element inside the SOAP
      tags
      Specified by:
        `getPayloadXML` in interface `ScriptMessageContext`
      Returns:
        the XML SOAP Body

    - #### setPayloadXML

          public void setPayloadXML​(Object payload)
                             throws org.apache.axiom.om.OMException,
                                    ScriptException

      Deprecated.
      Set the SOAP body payload from XML.
      Specified by:
        `setPayloadXML` in interface `ScriptMessageContext`
      Parameters:
        `payload` - Message payload
      Throws:
        `ScriptException` - For errors in converting xml To OM
        `org.apache.axiom.om.OMException` - For errors in OM manipulation

    - #### getPayloadJSON

          public Object getPayloadJSON()

      Deprecated.
      Get the JSON object representation of the JSON message body of the request.
      Specified by:
        `getPayloadJSON` in interface `ScriptMessageContext`
      Returns:
        JSON object of the message body

    - #### getJsonText

          public Object getJsonText()

      Deprecated.
      Get the Message Payload as a text.
      Specified by:
        `getJsonText` in interface `ScriptMessageContext`
      Returns:
        Payload as text

    - #### getPayloadText

          public String getPayloadText()

      Deprecated.
      Get the Message Payload as a text.
      Specified by:
        `getPayloadText` in interface `ScriptMessageContext`
      Returns:
        Payload as text

    - #### setJsonObject

          public boolean setJsonObject​(org.apache.synapse.MessageContext messageContext,
                                       Object jsonObject)

      Deprecated.
      Saves the JavaScript Object to the message context.
      Specified by:
        `setJsonObject` in interface `ScriptMessageContext`
      Parameters:
        `messageContext` - The message context of the sequence
        `jsonObject` - JavaScript Object which is passed to be saved in message context
      Returns:
        true

    - #### setJsonText

          public boolean setJsonText​(org.apache.synapse.MessageContext messageContext,
                                     Object jsonObject)

      Deprecated.
      Saves the JSON String to the message context.
      Specified by:
        `setJsonText` in interface `ScriptMessageContext`
      Parameters:
        `messageContext` - The message context of the sequence
        `jsonObject` - JavaScript string which is passed to be saved in message context
      Returns:
        false if messageContext is null return true otherwise

    - #### jsonObject

          public Object jsonObject​(org.apache.synapse.MessageContext messageContext)

      Deprecated.
      Returns the JavaScript Object saved in this message context.
      Specified by:
        `jsonObject` in interface `ScriptMessageContext`
      Parameters:
        `messageContext` - The message context of the sequence
      Returns:
        o JavaScript Object saved in this message context

    - #### setScriptEngine

          public void setScriptEngine​(ScriptEngine scriptEngine)

      Deprecated.
      Set a script engine.
      Specified by:
        `setScriptEngine` in interface `ScriptMessageContext`
      Parameters:
        `scriptEngine` - a ScriptEngine instance

    - #### parseXml

          public Document parseXml​(String text)
                            throws ScriptException

      Deprecated.
      Returns the parsed xml document.
      Parameters:
        `text` - xml string or document needed to be parser
      Returns:
        parsed document
      Throws:
        `ScriptException`

    - #### getParsedOMElement

          public org.apache.axiom.om.OMElement getParsedOMElement​(InputStream stream)

      Deprecated.
      Returns the parsed xml document.
      Parameters:
        `stream` - input stream of xml string or document needed to be parsed
      Returns:
        parsed document

    - #### getXpathResult

          public org.apache.axiom.om.xpath.AXIOMXPath getXpathResult​(String expression)
                                                              throws org.jaxen.JaxenException

      Deprecated.
      Returns the Axiom xpath.
      Parameters:
        `expression` - Xpath expression
      Returns:
        Axiom xpath is returned
      Throws:
        `org.jaxen.JaxenException`

    - #### addHeader

          public void addHeader​(boolean mustUnderstand,
                                Object content)
                         throws ScriptException

      Deprecated.
      Add a new SOAP header to the message.
      Specified by:
        `addHeader` in interface `ScriptMessageContext`
      Parameters:
        `mustUnderstand` - the value for the `soapenv:mustUnderstand` attribute
        `content` - the XML for the new header
      Throws:
        `ScriptException` - if an error occurs when converting the XML to OM

    - #### getEnvelopeXML

          public Object getEnvelopeXML()
                                throws ScriptException

      Deprecated.
      Get the XML representation of the complete SOAP envelope.
      Specified by:
        `getEnvelopeXML` in interface `ScriptMessageContext`
      Returns:
        return an object that represents the payload in the current scripting language
      Throws:
        `ScriptException` - in-case of an error in getting the XML representation of SOAP envelope

    - #### setTo

          public void setTo​(String reference)

      Deprecated.
      This is used to set the value which specifies the receiver of the message.
      Specified by:
        `setTo` in interface `ScriptMessageContext`
      Parameters:
        `reference` - specifies the receiver of the message

    - #### setFaultTo

          public void setFaultTo​(String reference)

      Deprecated.
      This is used to set the value which specifies the receiver of the faults relating to the message.
      Specified by:
        `setFaultTo` in interface `ScriptMessageContext`
      Parameters:
        `reference` - specifies the receiver of the faults relating to the message

    - #### setFrom

          public void setFrom​(String reference)

      Deprecated.
      This is used to set the value which specifies the sender of the message.
      Specified by:
        `setFrom` in interface `ScriptMessageContext`
      Parameters:
        `reference` - specifies the sender of the message

    - #### setReplyTo

          public void setReplyTo​(String reference)

      Deprecated.
      This is used to set the value which specifies the receiver of the replies to the message.
      Specified by:
        `setReplyTo` in interface `ScriptMessageContext`
      Parameters:
        `reference` - specifies the receiver of the replies to the message

    - #### getConfiguration

          public org.apache.synapse.config.SynapseConfiguration getConfiguration()

      Deprecated.
      Specified by:
        `getConfiguration` in interface `org.apache.synapse.MessageContext`

    - #### setConfiguration

          public void setConfiguration​(org.apache.synapse.config.SynapseConfiguration cfg)

      Deprecated.
      Specified by:
        `setConfiguration` in interface `org.apache.synapse.MessageContext`

    - #### getEnvironment

          public org.apache.synapse.core.SynapseEnvironment getEnvironment()

      Deprecated.
      Specified by:
        `getEnvironment` in interface `org.apache.synapse.MessageContext`

    - #### setEnvironment

          public void setEnvironment​(org.apache.synapse.core.SynapseEnvironment se)

      Deprecated.
      Specified by:
        `setEnvironment` in interface `org.apache.synapse.MessageContext`

    - #### getContextEntries

          public Map<String,​Object> getContextEntries()

      Deprecated.
      Specified by:
        `getContextEntries` in interface `org.apache.synapse.MessageContext`

    - #### setContextEntries

          public void setContextEntries​(Map<String,​Object> entries)

      Deprecated.
      Specified by:
        `setContextEntries` in interface `org.apache.synapse.MessageContext`

    - #### getProperty

          public Object getProperty​(String key)

      Deprecated.
      Specified by:
        `getProperty` in interface `org.apache.synapse.MessageContext`

    - #### getEntry

          public Object getEntry​(String key)

      Deprecated.
      Specified by:
        `getEntry` in interface `org.apache.synapse.MessageContext`

    - #### getLocalEntry

          public Object getLocalEntry​(String key)

      Deprecated.
      Specified by:
        `getLocalEntry` in interface `org.apache.synapse.MessageContext`

    - #### setProperty

          public void setProperty​(String key,
                                  Object value)

      Deprecated.
      Add a new property to the message.
      Specified by:
        `setProperty` in interface `org.apache.synapse.MessageContext`
      Parameters:
        `key` - unique identifier of property
        `value` - value of property

    - #### setProperty

          public void setProperty​(String key,
                                  Object value,
                                  String scope)

      Deprecated.
      Add a new property to the message.
      Specified by:
        `setProperty` in interface `ScriptMessageContext`
      Parameters:
        `key` - unique identifier of property
        `value` - value of property
        `scope` - scope of the property

    - #### removeProperty

          public void removeProperty​(String key,
                                     String scope)

      Deprecated.
      Remove property from the message.
      Specified by:
        `removeProperty` in interface `ScriptMessageContext`
      Parameters:
        `key` - unique identifier of property
        `scope` - scope of the property

    - #### getPropertyKeySet

          public Set getPropertyKeySet()

      Deprecated.
      Specified by:
        `getPropertyKeySet` in interface `org.apache.synapse.MessageContext`

    - #### getMainSequence

          public org.apache.synapse.Mediator getMainSequence()

      Deprecated.
      Specified by:
        `getMainSequence` in interface `org.apache.synapse.MessageContext`

    - #### getFaultSequence

          public org.apache.synapse.Mediator getFaultSequence()

      Deprecated.
      Specified by:
        `getFaultSequence` in interface `org.apache.synapse.MessageContext`

    - #### getSequence

          public org.apache.synapse.Mediator getSequence​(String key)

      Deprecated.
      Specified by:
        `getSequence` in interface `org.apache.synapse.MessageContext`

    - #### getFormat

          public org.apache.axiom.om.OMElement getFormat​(String s)

      Deprecated.
      Specified by:
        `getFormat` in interface `org.apache.synapse.MessageContext`

    - #### getEndpoint

          public org.apache.synapse.endpoints.Endpoint getEndpoint​(String key)

      Deprecated.
      Specified by:
        `getEndpoint` in interface `org.apache.synapse.MessageContext`

    - #### getEnvelope

          public org.apache.axiom.soap.SOAPEnvelope getEnvelope()

      Deprecated.
      Specified by:
        `getEnvelope` in interface `org.apache.synapse.MessageContext`

    - #### setEnvelope

          public void setEnvelope​(org.apache.axiom.soap.SOAPEnvelope envelope)
                           throws org.apache.axis2.AxisFault

      Deprecated.
      Specified by:
        `setEnvelope` in interface `org.apache.synapse.MessageContext`
      Throws:
        `org.apache.axis2.AxisFault`

    - #### getFaultTo

          public org.apache.axis2.addressing.EndpointReference getFaultTo()

      Deprecated.
      Specified by:
        `getFaultTo` in interface `org.apache.synapse.MessageContext`

    - #### setFaultTo

          public void setFaultTo​(org.apache.axis2.addressing.EndpointReference reference)

      Deprecated.
      Specified by:
        `setFaultTo` in interface `org.apache.synapse.MessageContext`

    - #### getFrom

          public org.apache.axis2.addressing.EndpointReference getFrom()

      Deprecated.
      Specified by:
        `getFrom` in interface `org.apache.synapse.MessageContext`

    - #### setFrom

          public void setFrom​(org.apache.axis2.addressing.EndpointReference reference)

      Deprecated.
      Specified by:
        `setFrom` in interface `org.apache.synapse.MessageContext`

    - #### getMessageID

          public String getMessageID()

      Deprecated.
      Specified by:
        `getMessageID` in interface `org.apache.synapse.MessageContext`

    - #### setMessageID

          public void setMessageID​(String string)

      Deprecated.
      Specified by:
        `setMessageID` in interface `org.apache.synapse.MessageContext`

    - #### getRelatesTo

          public org.apache.axis2.addressing.RelatesTo getRelatesTo()

      Deprecated.
      Specified by:
        `getRelatesTo` in interface `org.apache.synapse.MessageContext`

    - #### setRelatesTo

          public void setRelatesTo​(org.apache.axis2.addressing.RelatesTo[] reference)

      Deprecated.
      Specified by:
        `setRelatesTo` in interface `org.apache.synapse.MessageContext`

    - #### getReplyTo

          public org.apache.axis2.addressing.EndpointReference getReplyTo()

      Deprecated.
      Specified by:
        `getReplyTo` in interface `org.apache.synapse.MessageContext`

    - #### setReplyTo

          public void setReplyTo​(org.apache.axis2.addressing.EndpointReference reference)

      Deprecated.
      Specified by:
        `setReplyTo` in interface `org.apache.synapse.MessageContext`

    - #### getTo

          public org.apache.axis2.addressing.EndpointReference getTo()

      Deprecated.
      Specified by:
        `getTo` in interface `org.apache.synapse.MessageContext`

    - #### setTo

          public void setTo​(org.apache.axis2.addressing.EndpointReference reference)

      Deprecated.
      Specified by:
        `setTo` in interface `org.apache.synapse.MessageContext`

    - #### setWSAAction

          public void setWSAAction​(String actionURI)

      Deprecated.
      Specified by:
        `setWSAAction` in interface `org.apache.synapse.MessageContext`

    - #### getWSAAction

          public String getWSAAction()

      Deprecated.
      Specified by:
        `getWSAAction` in interface `org.apache.synapse.MessageContext`

    - #### getSoapAction

          public String getSoapAction()

      Deprecated.
      Specified by:
        `getSoapAction` in interface `org.apache.synapse.MessageContext`

    - #### setSoapAction

          public void setSoapAction​(String string)

      Deprecated.
      Specified by:
        `setSoapAction` in interface `org.apache.synapse.MessageContext`

    - #### setWSAMessageID

          public void setWSAMessageID​(String messageID)

      Deprecated.
      Specified by:
        `setWSAMessageID` in interface `org.apache.synapse.MessageContext`

    - #### getWSAMessageID

          public String getWSAMessageID()

      Deprecated.
      Specified by:
        `getWSAMessageID` in interface `org.apache.synapse.MessageContext`

    - #### isDoingMTOM

          public boolean isDoingMTOM()

      Deprecated.
      Specified by:
        `isDoingMTOM` in interface `org.apache.synapse.MessageContext`

    - #### isDoingSWA

          public boolean isDoingSWA()

      Deprecated.
      Specified by:
        `isDoingSWA` in interface `org.apache.synapse.MessageContext`

    - #### setDoingMTOM

          public void setDoingMTOM​(boolean b)

      Deprecated.
      Specified by:
        `setDoingMTOM` in interface `org.apache.synapse.MessageContext`

    - #### setDoingSWA

          public void setDoingSWA​(boolean b)

      Deprecated.
      Specified by:
        `setDoingSWA` in interface `org.apache.synapse.MessageContext`

    - #### isDoingPOX

          public boolean isDoingPOX()

      Deprecated.
      Specified by:
        `isDoingPOX` in interface `org.apache.synapse.MessageContext`

    - #### setDoingPOX

          public void setDoingPOX​(boolean b)

      Deprecated.
      Specified by:
        `setDoingPOX` in interface `org.apache.synapse.MessageContext`

    - #### isDoingGET

          public boolean isDoingGET()

      Deprecated.
      Specified by:
        `isDoingGET` in interface `org.apache.synapse.MessageContext`

    - #### setDoingGET

          public void setDoingGET​(boolean b)

      Deprecated.
      Specified by:
        `setDoingGET` in interface `org.apache.synapse.MessageContext`

    - #### isSOAP11

          public boolean isSOAP11()

      Deprecated.
      Specified by:
        `isSOAP11` in interface `org.apache.synapse.MessageContext`

    - #### setResponse

          public void setResponse​(boolean b)

      Deprecated.
      Specified by:
        `setResponse` in interface `org.apache.synapse.MessageContext`

    - #### isResponse

          public boolean isResponse()

      Deprecated.
      Specified by:
        `isResponse` in interface `org.apache.synapse.MessageContext`

    - #### setFaultResponse

          public void setFaultResponse​(boolean b)

      Deprecated.
      Specified by:
        `setFaultResponse` in interface `org.apache.synapse.MessageContext`

    - #### isFaultResponse

          public boolean isFaultResponse()

      Deprecated.
      Specified by:
        `isFaultResponse` in interface `org.apache.synapse.MessageContext`

    - #### getTracingState

          public int getTracingState()

      Deprecated.
      Specified by:
        `getTracingState` in interface `org.apache.synapse.MessageContext`

    - #### setTracingState

          public void setTracingState​(int tracingState)

      Deprecated.
      Specified by:
        `setTracingState` in interface `org.apache.synapse.MessageContext`

    - #### getFaultStack

          public Stack<org.apache.synapse.FaultHandler> getFaultStack()

      Deprecated.
      Specified by:
        `getFaultStack` in interface `org.apache.synapse.MessageContext`

    - #### pushFaultHandler

          public void pushFaultHandler​(org.apache.synapse.FaultHandler fault)

      Deprecated.
      Specified by:
        `pushFaultHandler` in interface `org.apache.synapse.MessageContext`

    - #### pushContinuationState

          public void pushContinuationState​(org.apache.synapse.ContinuationState continuationState)

      Deprecated.
      Specified by:
        `pushContinuationState` in interface `org.apache.synapse.MessageContext`

    - #### getContinuationStateStack

          public Stack<org.apache.synapse.ContinuationState> getContinuationStateStack()

      Deprecated.
      Specified by:
        `getContinuationStateStack` in interface `org.apache.synapse.MessageContext`

    - #### restoreContinuationStateStack

          public void restoreContinuationStateStack​(Stack<org.apache.synapse.ContinuationState> continuationStateStack)

      Deprecated.
      Specified by:
        `restoreContinuationStateStack` in interface `org.apache.synapse.MessageContext`

    - #### isContinuationEnabled

          public boolean isContinuationEnabled()

      Deprecated.
      Specified by:
        `isContinuationEnabled` in interface `org.apache.synapse.MessageContext`

    - #### setContinuationEnabled

          public void setContinuationEnabled​(boolean contStateStackEnabled)

      Deprecated.
      Specified by:
        `setContinuationEnabled` in interface `org.apache.synapse.MessageContext`

    - #### getServiceLog

          public org.apache.commons.logging.Log getServiceLog()

      Deprecated.
      Specified by:
        `getServiceLog` in interface `org.apache.synapse.MessageContext`

    - #### getSequenceTemplate

          public org.apache.synapse.Mediator getSequenceTemplate​(String key)

      Deprecated.
      Specified by:
        `getSequenceTemplate` in interface `org.apache.synapse.MessageContext`

    - #### setPayloadJSON

          public void setPayloadJSON​(Object jsonPayload)
                              throws ScriptException

      Deprecated.
      Saves the payload of this message context as a JSON payload.
      Specified by:
        `setPayloadJSON` in interface `ScriptMessageContext`
      Parameters:
        `jsonPayload` - Javascript native object to be set as the message body
      Throws:
        `ScriptException` - in case of creating a JSON object out of the javascript native object.

    - #### getDefaultConfiguration

          public org.apache.synapse.Mediator getDefaultConfiguration​(String arg0)

      Deprecated.
      Specified by:
        `getDefaultConfiguration` in interface `org.apache.synapse.MessageContext`

    - #### getMessageString

          public String getMessageString()

      Deprecated.
      Specified by:
        `getMessageString` in interface `org.apache.synapse.MessageContext`

    - #### setMessageFlowTracingState

          public void setMessageFlowTracingState​(int state)

      Deprecated.
      Specified by:
        `setMessageFlowTracingState` in interface `org.apache.synapse.MessageContext`

    - #### getMessageFlowTracingState

          public int getMessageFlowTracingState()

      Deprecated.
      Specified by:
        `getMessageFlowTracingState` in interface `org.apache.synapse.MessageContext`

    - #### getVariable

          public Object getVariable​(String key)

      Deprecated.
      Specified by:
        `getVariable` in interface `org.apache.synapse.MessageContext`

    - #### setVariable

          public void setVariable​(String key,
                                  Object value)

      Deprecated.
      Specified by:
        `setVariable` in interface `org.apache.synapse.MessageContext`

    - #### getVariableKeySet

          public Set getVariableKeySet()

      Deprecated.
      Specified by:
        `getVariableKeySet` in interface `org.apache.synapse.MessageContext`